﻿@model WebPortalShopBridge.Models.ProductViewModel

<div class="container" id="product-content-update">
    <button onclick="Cancel()">Back</button>
    @using (Html.BeginForm("UpdateProduct", "Product", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        <input type="hidden" name="ProductId" value="@Model.Product.ProductId" />

        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="product-row">
            
                <img id="user_prod"
                     style="border:solid;"
                     src="~/Img/@Model.Product.Url" />
            
        </div>
        <div class="product-row">
            <div>
                @Html.LabelFor(x => x.Categories, "Category")
                <div class="product-div">@Html.DropDownListFor(m=>m.SelectedCategoryId, new SelectList(Model.Categories, "Key", "Value"), new { @Id = "categoryId" })</div>
            </div>
        </div>

        <div class="product-row">
            <div class="label-product">
                Name
            </div>
            <div class="product-div">
                <input type="text" id="txt_name" name="Name" value="@Model.Product.Name" />
            </div>
        </div>
        <div class="product-row">
            <div class="label-product">
                Description
            </div>
            <div class="product-div">
                <input type="text" id="txt_description" name="Description" value="@Model.Product.Description" />
            </div>
        </div>
        <div class="product-row">
            <div class="label-product">
                Price
            </div>
            <div class="product-div">
                <input type="number" id="txt_price" name="Price" value="@Model.Product.Price" />
            </div>
        </div>
        <div class="product-row">
            <div class="label-product">
                Availability
            </div>
            <div class="product-div">
                <input type="number" id="txt_availability" name="Availability" value="@Model.Product.AvailableStock" />
            </div>
        </div>
        <div style="text-align: center; margin-top: 0.6em;">
            <input type="submit" title="save" />
        </div>
    }

</div>
<script>
    function Cancel() {
        var promise = UserManager.ajaxCall('/Product/Index', '', 'GET', true)
        promise.done(function (dataResult) {
            $('#adminWorkAreaContainer').html(dataResult);
        });
    }
</script>
